USB_ID(8)

NAME
usb_id - udev callout to read information from USB devices

SYNOPSIS
usb_id [--usb-info] [--num-info] [--export] [--debug] devpath
usb_id --help

DESCRIPTION
usb_id is normally called from a udev rule, to provide udev with a unique string and additional information (uuid, label) for a USB device. Udev can use this information to create symlinks in /dev to the real device node.

USAGE
usb_id devpath opens the device node specified at the commandline and prints the information chosen by the options.

OPTIONS
The following commandline switches are supported to specify what usb_id should print:

-u, --usb-info
    print USB strings instead of, e.g. SCSI strings for a mass storage device

-n, --num-info
    print numerical values instead of strings. Implies --usb-info.

-x, --export
    print values as environment keys

-h, --help
    print usage help

SEE ALSO
udev(7)

AUTHORS
Developed by Hannes Reinecke <hare@suse.de>.